Name: bacula
Version: 2.0.1
Release: alt0

License: GPL
Summary: network based backup program
Group: Archiving/Backup
URL: http://www.bacula.org/
Packager: Michail Yakushin <silicium@altlinux.ru>
Source0: bacula-%version.tar
Source1: bacula-dir
Source2: bacula-fd
Source3: bacula-sd
BuildRequires: gcc-c++ libMySQL-devel libssl-devel libncurses-devel openssl libacl-devel python-devel zlib-devel

%description
Bacula is a set of computer programs that permits the system administrator to manage backup,
recovery, and verification of computer data across a network of computers of different kinds.
Bacula can also run entirely upon a single computer and can backup to various types of media,
including tape and disk.

In technical terms, it is a network Client/Server based backup program. Bacula is relatively
easy to use and efficient, while offering many advanced storage management features that make
it easy to find and recover lost or damaged files. Due to its modular design, Bacula is scalable
from small single computer systems to systems consisting of hundreds of computers located over a
large network.  

%prep
%setup -q
./configure --with-mysql  --with-openssl --with-python  --with-working-dir=/var/lib/bacula/  --exec-prefix=/usr  --with-dir-user=bacula --with-dir-group=bacula  --with-sd-user=bacula --with-sd-group=bacula

%build
make

%install 
mkdir %buildroot
make install DESTDIR=%buildroot
mv %buildroot//share %buildroot//usr
rm %buildroot/etc/bacula/gconsole
mkdir %buildroot/etc/init.d/
cp %SOURCE1 %SOURCE2 %SOURCE3  %buildroot/etc/init.d/


%pre
/usr/sbin/groupadd -r -f bacula
/usr/sbin/useradd -r -n -g bacula -d /dev/null -s /dev/null -c bacula bacula >/dev/null 2>&1 ||:

%preun
/etc/bacula/bacula stop


%files
/usr/sbin/*
%_man8dir/*
%_man1dir/*
/etc/init.d/*
%attr(-,bacula,bacula) /var/lib/bacula/
%attr(-,root,bacula) %config(noreplace) /etc/bacula/

%changelog
* Mon Apr 16 2007 Michail Yakushin <silicium@altlinux.ru> 2.0.1-alt0
- intial build for alt

